

<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" />
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>Van den Heuvel diagrams &mdash; posydon 0+untagged.3754.gf69f455.dirty documentation</title>
  

  
  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />

  
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
        <script src="../_static/jquery.js"></script>
        <script src="../_static/underscore.js"></script>
        <script src="../_static/doctools.js"></script>
        <script src="../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../_static/js/theme.js"></script>

    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="prev" title="The Binary Star Object" href="../BinaryStar/BinaryStar.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../index.html" class="icon icon-home"> posydon
          

          
          </a>

          
            
            
              <div class="version">
                0+untagged.3754.gf69f455.dirty
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../install/index.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/inifile.html">Configuration files for POSYDON</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/dynamic/dynamic.html">Run a Dynamic MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../run_mesa_grids/fixed/fixed.html">Run a Fixed MESA Grid</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/PSyGrid.html">The PSyGrid Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot2D/plot2D.html">Showcase of 2D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../PSyGrid/plot1D/plot1D.html">Showcase of 1D plotting functionalities</a></li>
<li class="toctree-l1"><a class="reference internal" href="../SingleStar/SingleStar.html">The Single Star Object</a></li>
<li class="toctree-l1"><a class="reference internal" href="../BinaryStar/BinaryStar.html">The Binary Star Object</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Van den Heuvel diagrams</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#visualize-specific-index">Visualize specific index</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#simple-usage">Simple usage</a></li>
<li class="toctree-l3"><a class="reference internal" href="#set-view">Set view</a></li>
<li class="toctree-l3"><a class="reference internal" href="#set-display-mode">Set display mode</a></li>
</ul>
</li>
</ul>
</li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">posydon</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>Van den Heuvel diagrams</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="../_sources/visualization/VH_diagram.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="van-den-heuvel-diagrams">
<span id="vh-diagram"></span><h1>Van den Heuvel diagrams<a class="headerlink" href="#van-den-heuvel-diagrams" title="Permalink to this headline">¶</a></h1>
<div class="section" id="visualize-specific-index">
<h2>Visualize specific index<a class="headerlink" href="#visualize-specific-index" title="Permalink to this headline">¶</a></h2>
<p>The VH diagrams allow to plot POSYDON population dataframes in different view, inside a complete window or in a simple picture.
(‘20000_binaries.csv.gz’ is an exemple dataset)</p>
<div class="section" id="simple-usage">
<h3>Simple usage<a class="headerlink" href="#simple-usage" title="Permalink to this headline">¶</a></h3>
<p>The basic usage is to simply visualize one index inside an independent and reactive window, with the following :</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="kn">from</span> <span class="nn">posydon.visualization.VHdiagram</span> <span class="kn">import</span> <span class="n">VHdiagram</span>

<span class="n">VHdiagram</span><span class="p">(</span><span class="s1">&#39;20000_binaries.csv.gz&#39;</span><span class="p">,</span> <span class="n">path</span><span class="o">=</span><span class="s1">&#39;./dataset/&#39;</span><span class="p">,</span> <span class="n">index</span><span class="o">=</span><span class="mi">18976</span><span class="p">)</span>
</pre></div>
</div>
<img alt="../_images/detailled_window.png" src="../_images/detailled_window.png" />
<p>The named parameter ‘path’ is usefull if the dataset is in another directory.</p>
<p>We can choose the view wanted with the option’s window, displayed by ‘option’ button :</p>
<img alt="../_images/option_window.png" src="../_images/option_window.png" />
<p>The ‘save’ button take a screen of the view currently displayed, and save it inside a ‘screens’ folder, created in the current directory.</p>
</div>
<div class="section" id="set-view">
<h3>Set view<a class="headerlink" href="#set-view" title="Permalink to this headline">¶</a></h3>
<p>For faster use, it’s possible to choose directly the view displayed, there is 4 modes availables :</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="n">PresenterMode</span><span class="o">.</span><span class="n">DIAGRAM</span>
<span class="n">PresenterMode</span><span class="o">.</span><span class="n">REDUCED</span>
<span class="n">PresenterMode</span><span class="o">.</span><span class="n">SIMPLIFIED</span>
<span class="n">PresenterMode</span><span class="o">.</span><span class="n">DETAILED</span>
</pre></div>
</div>
<p>We can specify view we want to display with named parameter ‘presentMode’ :</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="kn">from</span> <span class="nn">posydon.visualization.VHdiagram</span> <span class="kn">import</span> <span class="n">VHdiagram</span>
<span class="kn">from</span> <span class="nn">posydon.visualization.VH_diagram.PresenterMode</span> <span class="kn">import</span> <span class="n">PresenterMode</span>

<span class="n">VHdiagram</span><span class="p">(</span><span class="s1">&#39;20000_binaries.csv.gz&#39;</span><span class="p">,</span> <span class="n">index</span><span class="o">=</span><span class="mi">19628</span><span class="p">,</span> <span class="n">presentMode</span><span class="o">=</span><span class="n">PresenterMode</span><span class="o">.</span><span class="n">DIAGRAM</span><span class="p">)</span>
</pre></div>
</div>
<img alt="../_images/diagram_window.png" src="../_images/diagram_window.png" />
</div>
<div class="section" id="set-display-mode">
<h3>Set display mode<a class="headerlink" href="#set-display-mode" title="Permalink to this headline">¶</a></h3>
<p>There is 2 way to display the diagram : inside a window or as a screen inside a jupyter-notebook
There is 3 modes availables :</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="n">DisplayMode</span><span class="o">.</span><span class="n">INLINE_S</span>
<span class="n">DisplayMode</span><span class="o">.</span><span class="n">INLINE_B</span>
<span class="n">DisplayMode</span><span class="o">.</span><span class="n">WINDOW</span>
</pre></div>
</div>
<p>‘INLINE_S’ is to do an inline display with matplotlib while ‘INLINE_B’ use IPython.</p>
<p>We can specify the display mode wanted with the named parameter ‘displayMode’ :</p>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="kn">from</span> <span class="nn">posydon.visualization.VHdiagram</span> <span class="kn">import</span> <span class="n">VHdiagram</span><span class="p">,</span> <span class="n">DisplayMode</span>
<span class="kn">from</span> <span class="nn">posydon.visualization.VH_diagram.Presenter</span> <span class="kn">import</span> <span class="n">PresenterMode</span>

<span class="n">VHdiagram</span><span class="p">(</span>
    <span class="s2">&quot;20000_binaries.csv.gz&quot;</span><span class="p">,</span>
    <span class="n">index</span><span class="o">=</span><span class="mi">19628</span><span class="p">,</span>
    <span class="n">presentMode</span><span class="o">=</span><span class="n">PresenterMode</span><span class="o">.</span><span class="n">DIAGRAM</span><span class="p">,</span>
    <span class="n">displayMode</span><span class="o">=</span><span class="n">DisplayMode</span><span class="o">.</span><span class="n">INLINE_B</span><span class="p">,</span>
<span class="p">)</span>
</pre></div>
</div>
<img alt="../_images/diagram_inline.png" src="../_images/diagram_inline.png" />
</div>
</div>
</div>


           </div>
           
          </div>
          <footer>
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
        <a href="../BinaryStar/BinaryStar.html" class="btn btn-neutral float-left" title="The Binary Star Object" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2019, Tassos Fragkos.

    </p>
  </div>
    
    
    
    Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    
    provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>